ServerEvents.recipes(event => {
    event.remove({ output: 'mysticalagriculture:prosperity_seed_base' })
    event.shaped(
        Item.of('mysticalagriculture:prosperity_seed_base'),
        [
            ' A ',
            'ABA',
            ' A '
        ],
        {
            A: 'mysticalagriculture:prosperity_shard',
            B: '#forge:seeds'
        }
    )
    event.shaped(
        Item.of('ae2:silicon',4),
        [
            'AAA',
        ],
        {
            A: 'mysticalagriculture:silicon_essence'
        }
    )
    event.remove({ output: 'mysticalagriculture:prudentium_farmland' })
    event.shapeless(
        Item.of('mysticalagriculture:prudentium_farmland'),
        [
            'mysticalagriculture:inferium_farmland',
            'mysticalagriculture:prudentium_essence'
        ]
    )//2
    event.remove({ output: 'mysticalagriculture:tertium_farmland' })
    event.shapeless(
        Item.of('mysticalagriculture:tertium_farmland'),
        [
            'mysticalagriculture:prudentium_farmland',
            'mysticalagriculture:tertium_essence'
        ]
    )//3
    event.remove({ output: 'mysticalagriculture:imperium_farmland' })
    event.shapeless(
        Item.of('mysticalagriculture:imperium_farmland'),
        [
            'mysticalagriculture:tertium_farmland',
            'mysticalagriculture:imperium_essence'
        ]
    )//4
    event.remove({ output: 'mysticalagriculture:supremium_farmland' })
    event.shapeless(
        Item.of('mysticalagriculture:supremium_farmland'),
        [
            'mysticalagriculture:imperium_farmland',
            'mysticalagriculture:supremium_essence'
        ]
    )//5
    event.remove({ output: 'mysticalagradditions:insanium_farmland' })
    event.shapeless(
        Item.of('mysticalagradditions:insanium_farmland'),
        [
            'mysticalagriculture:supremium_farmland',
            'mysticalagradditions:insanium_essence'
        ]
    )//6
    event.remove({ output: 'mysticalagriculture:prosperity_seed_base' })
    event.shaped(
        Item.of('mysticalagriculture:prosperity_seed_base'),
        [
            'ABA',
            'BCB',
            'ABA'
        ],
        {
            A: 'mysticalagriculture:prosperity_ingot',
            B: 'mysticalagriculture:prosperity_gemstone',
            C: '#forge:seeds'
        }
    )
    event.remove({ output: 'mysticalagriculture:prosperity_gemstone' })
    event.shaped(
        Item.of('mysticalagriculture:prosperity_gemstone'),
        [
            'ABA',
            'BCB',
            'ABA'
        ],
        {
            A: 'mysticalagriculture:prosperity_shard',
            B: 'mysticalagriculture:imperium_ingot',
            C: 'botania:mana_diamond'
        }
    )
})